# Update an address of a lead

**PUT /api/v1/leads/{lead_uuid}/addresses/{uuid}**

`primary: true` makes the address the lead's primary; `primary: false` clears it when it is the primary.


## Servers
- https://api.plannrcrm.com: https://api.plannrcrm.com ()


## Authentication methods
- Personal access token & O auth2


## Parameters

### Path parameters

- **lead_uuid** (string)
  The UUID of the lead.

- **uuid** (string)
  The UUID of the address.



### Body: application/json (object)

- **name** (string)
  Name of the address.

- **address_1** (string)
  First line of the address.

- **address_2** (string | null)
  Second line of the address.

- **address_3** (string | null)
  Third line of the address.

- **address_4** (string | null)
  Fourth line of the address.

- **town_city** (string | null)
  Town or city.

- **county** (string | null)
  County.

- **postcode** (string | null)
  Postcode.

- **country** (string | null)
  Country.

- **move_in_date** (string(date) | null)
  Date the lead moved into this address. Sets moved_in_month and moved_in_year.

- **moved_in_month** (integer | null)
  The month the lead moved into this address.

- **moved_in_year** (integer | null)
  The year the lead moved into this address.

- **moved_out_month** (integer | null)
  The month the lead moved out of this address.

- **moved_out_year** (integer | null)
  The year the lead moved out of this address.

- **residential_status** (string | null)


  The lead's residential status at the address. One of homeowner, renting, living_with_parents and other.

  | Value | Description |
  | ----- | ----------- |
  |homeowner|Homeowner|
  |renting|Renting|
  |living_with_parents|Living With Parents|
  |other|Other|

- **residential_status_other** (string | null)
  The residential status when it is not one of the residential_status options. Only allowed when residential_status is other.

- **primary** (boolean)
  True makes this the lead's primary address. False clears the primary when this address is the primary.



## Responses
### 200


#### Body: application/json (object)
- **uuid** (string)

- **created_at** (string)

- **updated_at** (string)

- **name** (string)

- **address_1** (string)

- **address_2** (string)

- **address_3** (string)

- **address_4** (string)

- **town_city** (string)

- **county** (string)

- **postcode** (string)

- **country** (string)

- **move_in_date** (string)

- **accounts** (object)


### 403
Unauthorized

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 404
Lead belongs to another firm or the address to another lead

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 409


#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 422
Validation error

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.

- **errors** (object)
  Validation messages keyed by the field that failed.



[Powered by Bump.sh](https://bump.sh)
